<ui version="4.0" >
 <class>DimensionsDialog</class>
 <widget class="QDialog" name="DimensionsDialog" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>688</width>
    <height>617</height>
   </rect>
  </property>
  <property name="windowTitle" >
   <string>Dwelling DImensions</string>
  </property>
  <widget class="QLabel" name="label" >
   <property name="geometry" >
    <rect>
     <x>40</x>
     <y>50</y>
     <width>46</width>
     <height>14</height>
    </rect>
   </property>
   <property name="text" >
    <string/>
   </property>
  </widget>
  <widget class="QLabel" name="label_2" >
   <property name="geometry" >
    <rect>
     <x>30</x>
     <y>80</y>
     <width>151</width>
     <height>211</height>
    </rect>
   </property>
   <property name="text" >
    <string/>
   </property>
   <property name="pixmap" >
    <pixmap resource="../icons/hecsIconRes.qrc" >:/Icons/Screen3_icon.png</pixmap>
   </property>
  </widget>
  <widget class="QGroupBox" name="groupBox" >
   <property name="geometry" >
    <rect>
     <x>20</x>
     <y>270</y>
     <width>161</width>
     <height>151</height>
    </rect>
   </property>
   <property name="title" >
    <string>Unit Converter </string>
   </property>
   <layout class="QFormLayout" name="formLayout" >
    <property name="fieldGrowthPolicy" >
     <enum>QFormLayout::AllNonFixedFieldsGrow</enum>
    </property>
    <item row="0" column="0" >
     <widget class="QLabel" name="label_8" >
      <property name="text" >
       <string>Square Feet</string>
      </property>
     </widget>
    </item>
    <item row="1" column="0" >
     <widget class="QLineEdit" name="sqFeetInput" />
    </item>
    <item row="2" column="0" >
     <widget class="QLabel" name="label_9" >
      <property name="text" >
       <string>Square Metres</string>
      </property>
     </widget>
    </item>
    <item row="4" column="0" >
     <widget class="QLabel" name="sqMetreLbl" >
      <property name="font" >
       <font>
        <family>Arial</family>
        <pointsize>10</pointsize>
        <weight>75</weight>
        <bold>true</bold>
       </font>
      </property>
      <property name="text" >
       <string>0.00</string>
      </property>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QGroupBox" name="groupBox_2" >
   <property name="geometry" >
    <rect>
     <x>190</x>
     <y>120</y>
     <width>311</width>
     <height>201</height>
    </rect>
   </property>
   <property name="title" >
    <string>Dwelling Dimensions</string>
   </property>
   <widget class="QLabel" name="label_3" >
    <property name="geometry" >
     <rect>
      <x>40</x>
      <y>60</y>
      <width>61</width>
      <height>20</height>
     </rect>
    </property>
    <property name="text" >
     <string>1st Floor </string>
    </property>
    <property name="buddy" >
     <cstring>firstFloorAreaEdit</cstring>
    </property>
   </widget>
   <widget class="QLabel" name="label_5" >
    <property name="geometry" >
     <rect>
      <x>40</x>
      <y>120</y>
      <width>61</width>
      <height>20</height>
     </rect>
    </property>
    <property name="text" >
     <string>3rd Floor</string>
    </property>
    <property name="buddy" >
     <cstring>thirdFloorAreaEdit</cstring>
    </property>
   </widget>
   <widget class="QLabel" name="label_4" >
    <property name="geometry" >
     <rect>
      <x>40</x>
      <y>90</y>
      <width>61</width>
      <height>20</height>
     </rect>
    </property>
    <property name="text" >
     <string>2nd Floor</string>
    </property>
    <property name="buddy" >
     <cstring>secondFloorAreaEdit</cstring>
    </property>
   </widget>
   <widget class="QLineEdit" name="secondFloorAreaEdit" >
    <property name="geometry" >
     <rect>
      <x>110</x>
      <y>90</y>
      <width>51</width>
      <height>20</height>
     </rect>
    </property>
   </widget>
   <widget class="QLineEdit" name="thirdFloorAreaEdit" >
    <property name="geometry" >
     <rect>
      <x>110</x>
      <y>120</y>
      <width>51</width>
      <height>20</height>
     </rect>
    </property>
   </widget>
   <widget class="QLineEdit" name="firstFloorAreaEdit" >
    <property name="geometry" >
     <rect>
      <x>110</x>
      <y>60</y>
      <width>51</width>
      <height>20</height>
     </rect>
    </property>
   </widget>
   <widget class="QLineEdit" name="firstFloorHeightEdit" >
    <property name="geometry" >
     <rect>
      <x>170</x>
      <y>60</y>
      <width>51</width>
      <height>20</height>
     </rect>
    </property>
   </widget>
   <widget class="QLineEdit" name="secondFloorHeightEdit" >
    <property name="geometry" >
     <rect>
      <x>170</x>
      <y>90</y>
      <width>51</width>
      <height>20</height>
     </rect>
    </property>
   </widget>
   <widget class="QLineEdit" name="thirdFloorHeightEdit" >
    <property name="geometry" >
     <rect>
      <x>170</x>
      <y>120</y>
      <width>51</width>
      <height>20</height>
     </rect>
    </property>
   </widget>
   <widget class="QLabel" name="label_16" >
    <property name="geometry" >
     <rect>
      <x>120</x>
      <y>30</y>
      <width>41</width>
      <height>20</height>
     </rect>
    </property>
    <property name="text" >
     <string>Area</string>
    </property>
    <property name="buddy" >
     <cstring>firstFloorAreaEdit</cstring>
    </property>
   </widget>
   <widget class="QLabel" name="label_17" >
    <property name="geometry" >
     <rect>
      <x>170</x>
      <y>20</y>
      <width>51</width>
      <height>41</height>
     </rect>
    </property>
    <property name="text" >
     <string>Room Height</string>
    </property>
    <property name="wordWrap" >
     <bool>true</bool>
    </property>
    <property name="buddy" >
     <cstring>firstFloorAreaEdit</cstring>
    </property>
   </widget>
   <widget class="QWidget" name="" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>150</y>
      <width>153</width>
      <height>48</height>
     </rect>
    </property>
    <layout class="QVBoxLayout" name="verticalLayout_2" >
     <item>
      <layout class="QHBoxLayout" name="horizontalLayout_3" >
       <item>
        <widget class="QLabel" name="label_6" >
         <property name="font" >
          <font>
           <family>Arial</family>
           <pointsize>8</pointsize>
           <weight>9</weight>
           <italic>false</italic>
           <bold>false</bold>
          </font>
         </property>
         <property name="styleSheet" >
          <string notr="true" >
font: 75 8pt "Arial";;</string>
         </property>
         <property name="text" >
          <string>Total Floor Area Sq/m:</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="totalFloorAreaLbl" >
         <property name="font" >
          <font>
           <family>Arial</family>
           <pointsize>10</pointsize>
           <weight>75</weight>
           <italic>false</italic>
           <bold>true</bold>
          </font>
         </property>
         <property name="styleSheet" >
          <string notr="true" />
         </property>
         <property name="text" >
          <string>0.00</string>
         </property>
        </widget>
       </item>
      </layout>
     </item>
     <item>
      <layout class="QHBoxLayout" name="horizontalLayout_4" >
       <item>
        <widget class="QLabel" name="label_18" >
         <property name="font" >
          <font>
           <family>Arial</family>
           <pointsize>8</pointsize>
           <weight>9</weight>
           <italic>false</italic>
           <bold>false</bold>
          </font>
         </property>
         <property name="styleSheet" >
          <string notr="true" >
font: 75 8pt "Arial";;</string>
         </property>
         <property name="text" >
          <string>Total Dwelling Vol Cub/m</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="totalVolumeLbl" >
         <property name="font" >
          <font>
           <family>Arial</family>
           <pointsize>10</pointsize>
           <weight>75</weight>
           <italic>false</italic>
           <bold>true</bold>
          </font>
         </property>
         <property name="styleSheet" >
          <string notr="true" />
         </property>
         <property name="text" >
          <string>0.00</string>
         </property>
        </widget>
       </item>
      </layout>
     </item>
    </layout>
   </widget>
  </widget>
  <widget class="QGroupBox" name="groupBox_3" >
   <property name="geometry" >
    <rect>
     <x>200</x>
     <y>320</y>
     <width>191</width>
     <height>221</height>
    </rect>
   </property>
   <property name="title" >
    <string>Windows</string>
   </property>
   <widget class="QComboBox" name="numWindowsCbx" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>40</y>
      <width>131</width>
      <height>22</height>
     </rect>
    </property>
    <property name="currentIndex" >
     <number>1</number>
    </property>
    <item>
     <property name="text" >
      <string>Below Average</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>Average</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>Above Average</string>
     </property>
    </item>
   </widget>
   <widget class="QLabel" name="label_7" >
    <property name="geometry" >
     <rect>
      <x>15</x>
      <y>20</y>
      <width>131</width>
      <height>20</height>
     </rect>
    </property>
    <property name="text" >
     <string>Number Of Windows</string>
    </property>
   </widget>
   <widget class="QComboBox" name="comboBox_2" >
    <property name="enabled" >
     <bool>false</bool>
    </property>
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>130</y>
      <width>141</width>
      <height>22</height>
     </rect>
    </property>
    <item>
     <property name="text" >
      <string>25% or Less</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>26% - 50%</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>51% - 75%</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>75% - 100%</string>
     </property>
    </item>
   </widget>
   <widget class="QLabel" name="label_11" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>100</y>
      <width>141</width>
      <height>21</height>
     </rect>
    </property>
    <property name="text" >
     <string>% Of Double Glazing</string>
    </property>
   </widget>
   <widget class="QComboBox" name="comboBox_3" >
    <property name="enabled" >
     <bool>false</bool>
    </property>
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>190</y>
      <width>121</width>
      <height>24</height>
     </rect>
    </property>
    <item>
     <property name="text" >
      <string>Before 2002</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>During or after 2002</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>Don't Know</string>
     </property>
    </item>
   </widget>
   <widget class="QLabel" name="label_14" >
    <property name="enabled" >
     <bool>false</bool>
    </property>
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>120</y>
      <width>141</width>
      <height>21</height>
     </rect>
    </property>
    <property name="text" >
     <string/>
    </property>
   </widget>
   <widget class="QCheckBox" name="checkBox" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>70</y>
      <width>121</width>
      <height>23</height>
     </rect>
    </property>
    <property name="text" >
     <string>Double Glazing</string>
    </property>
   </widget>
   <widget class="QLabel" name="label_10" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>160</y>
      <width>161</width>
      <height>18</height>
     </rect>
    </property>
    <property name="text" >
     <string>Double Glazing installed: </string>
    </property>
   </widget>
  </widget>
  <widget class="QGroupBox" name="groupBox_4" >
   <property name="geometry" >
    <rect>
     <x>530</x>
     <y>120</y>
     <width>141</width>
     <height>171</height>
    </rect>
   </property>
   <property name="title" >
    <string>Ventilation</string>
   </property>
   <widget class="QLabel" name="label_12" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>30</y>
      <width>61</width>
      <height>16</height>
     </rect>
    </property>
    <property name="text" >
     <string>Chimneys:</string>
    </property>
    <property name="buddy" >
     <cstring>numChimneysCbx</cstring>
    </property>
   </widget>
   <widget class="QComboBox" name="numChimneysCbx" >
    <property name="geometry" >
     <rect>
      <x>80</x>
      <y>30</y>
      <width>41</width>
      <height>22</height>
     </rect>
    </property>
    <item>
     <property name="text" >
      <string>0</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>1</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>2</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>3</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>4</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>5</string>
     </property>
    </item>
   </widget>
   <widget class="QComboBox" name="numGasFiresCbx" >
    <property name="geometry" >
     <rect>
      <x>80</x>
      <y>60</y>
      <width>41</width>
      <height>22</height>
     </rect>
    </property>
    <item>
     <property name="text" >
      <string>0</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>1</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>2</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>3</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>4</string>
     </property>
    </item>
    <item>
     <property name="text" >
      <string>5</string>
     </property>
    </item>
   </widget>
   <widget class="QLabel" name="label_13" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>60</y>
      <width>61</width>
      <height>16</height>
     </rect>
    </property>
    <property name="text" >
     <string>Gas Fires:</string>
    </property>
    <property name="buddy" >
     <cstring>numGasFiresCbx</cstring>
    </property>
   </widget>
  </widget>
  <widget class="QGroupBox" name="groupBox_5" >
   <property name="geometry" >
    <rect>
     <x>20</x>
     <y>10</y>
     <width>631</width>
     <height>101</height>
    </rect>
   </property>
   <property name="title" >
    <string/>
   </property>
   <widget class="QWidget" name="layoutWidget" >
    <property name="geometry" >
     <rect>
      <x>10</x>
      <y>10</y>
      <width>261</width>
      <height>92</height>
     </rect>
    </property>
    <layout class="QVBoxLayout" name="verticalLayout" >
     <item>
      <widget class="QLabel" name="houseNumLbl" >
       <property name="text" >
        <string>1</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QLabel" name="addressLbl" >
       <property name="text" >
        <string>1</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QLabel" name="postcodeLbl" >
       <property name="text" >
        <string>1</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QLabel" name="label_15" >
       <property name="text" >
        <string>1</string>
       </property>
      </widget>
     </item>
    </layout>
   </widget>
  </widget>
  <widget class="QWidget" name="layoutWidget" >
   <property name="geometry" >
    <rect>
     <x>17</x>
     <y>550</y>
     <width>647</width>
     <height>58</height>
    </rect>
   </property>
   <layout class="QHBoxLayout" name="horizontalLayout_2" >
    <item>
     <spacer name="horizontalSpacer" >
      <property name="orientation" >
       <enum>Qt::Horizontal</enum>
      </property>
      <property name="sizeHint" stdset="0" >
       <size>
        <width>438</width>
        <height>53</height>
       </size>
      </property>
     </spacer>
    </item>
    <item>
     <layout class="QHBoxLayout" name="horizontalLayout" >
      <item>
       <widget class="QPushButton" name="clearButton" >
        <property name="text" >
         <string>Clear</string>
        </property>
        <property name="icon" >
         <iconset resource="../icons/hecsIconRes.qrc" >
          <normaloff>:/Icons/Clear_icon.png</normaloff>:/Icons/Clear_icon.png</iconset>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QToolButton" name="backButton" >
        <property name="text" >
         <string>...</string>
        </property>
        <property name="icon" >
         <iconset resource="../icons/hecsIconRes.qrc" >
          <normaloff>:/Icons/Back_button.png</normaloff>:/Icons/Back_button.png</iconset>
        </property>
        <property name="iconSize" >
         <size>
          <width>48</width>
          <height>48</height>
         </size>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QToolButton" name="nextButton" >
        <property name="text" >
         <string>...</string>
        </property>
        <property name="icon" >
         <iconset resource="../icons/hecsIconRes.qrc" >
          <normaloff>:/Icons/Next_button.png</normaloff>:/Icons/Next_button.png</iconset>
        </property>
        <property name="iconSize" >
         <size>
          <width>48</width>
          <height>48</height>
         </size>
        </property>
       </widget>
      </item>
     </layout>
    </item>
   </layout>
  </widget>
 </widget>
 <resources>
  <include location="../icons/hecsIconRes.qrc" />
 </resources>
 <connections>
  <connection>
   <sender>sqFeetInput</sender>
   <signal>textChanged(QString)</signal>
   <receiver>DimensionsDialog</receiver>
   <slot>calcSqMetre()</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>102</x>
     <y>341</y>
    </hint>
    <hint type="destinationlabel" >
     <x>107</x>
     <y>461</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkBox</sender>
   <signal>clicked(bool)</signal>
   <receiver>comboBox_2</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>265</x>
     <y>312</y>
    </hint>
    <hint type="destinationlabel" >
     <x>341</x>
     <y>373</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkBox</sender>
   <signal>clicked(bool)</signal>
   <receiver>comboBox_3</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>303</x>
     <y>318</y>
    </hint>
    <hint type="destinationlabel" >
     <x>290</x>
     <y>442</y>
    </hint>
   </hints>
  </connection>
 </connections>
 <slots>
  <slot>calcSqMetre()</slot>
  <slot>updateSqMetreLbl()</slot>
  <slot>onFirstFloorAreaChanged()</slot>
  <slot>onNumOfChimneysCbxChanged()</slot>
  <signal>calcSqMetreDone()</signal>
 </slots>
</ui>
